# Journal de bord du Mooc / Mooc's logbook


## Mission 1 
- Vidéo (7'49")

  - Visionnage de la vidéo d'introduction de 7 minutes et 49 secondes qui présente l'utilisation des cahiers de notes.

  - Les entretiens avec les chercheuses, notamment Anne Estrade, Marie-Noëlle Bourguet, Annie Lacroix-Riz et Isabel Llano, apportent des exemples concrets de pratiques de prise de notes.

  - Note : Correction d'un terme inapproprié dans la première vidéo concernant l'utilisation d'une lunette au lieu d'un télescope.

- Supports de cours et transcriptions

  - Les supports de cours et les transcriptions des vidéos au format pdf sont téléchargeables dans la séquence "Supports de cours" de chaque module.

- Introduction

  - Visionnage de la vidéo d'introduction.

  - Exploration des objectifs et prérequis du module.

  - Note : Le premier module ne requiert aucune connaissance particulière.

- Nous utilisons tous des cahiers de notes

  - Visionnage de la vidéo "Nous utilisons tous des cahiers de notes".

  - Visionnage des entretiens avec Anne Estrade, Marie-Noëlle Bourguet, Annie Lacroix-Riz et Isabel Llano.

- Un aperçu historique de la prise de notes

  - Visionnage des vidéos "Un aperçu historique de la prise de notes (partie 1)" et "Un aperçu historique de la prise de notes (partie 2)".

- Du fichier texte au langage de balisage léger

  - Visionnage de la vidéo "Du fichier texte au langage de balisage léger".

  - Note : Initiation à Markdown.

- Pérennité et évolutivité des notes avec la gestion de version (Gitlab)

  - Visionnage de la vidéo "Pérennité et évolutivité avec la gestion de version".

  - Note : Utilisation de Gitlab pour la gestion de version.

- Les étiquettes et logiciels d'indexation pour s'y retrouver

  - Visionnage de la vidéo "Les étiquettes et logiciels d'indexation".

  - Note : Utilisation d'outils d'indexation comme DocFetcher et ExifTool.

- Supports de cours, transcriptions et sous-titres des vidéos

  - Accès aux supports de cours, transcriptions et sous-titres des vidéos.

- Exercices

  - Réalisation des exercices liés au module 1.

  - Note : Compréhension de l'importance de la traçabilité dans un travail de recherche et maîtrise de la gestion d'un cahier de laboratoire électronique.

## Mission 2

- Objectifs

 - Extension de la traçabilité aux calculs et à leurs résultats.
 - Intégration du code et des résultats dans un document du type rapport technique / article scientifique.
 - Présentation de 3 outils pour écrire un document computationnel : Jupyter, RStudio, Emacs/Org-mode.
 - À la fin de ce module, vous pourrez faire votre choix sur l'outil qui vous convient le mieux pour suivre le module suivant et faire les exercices.

- Prérequis

 - Les premières séquences du Module 2 ne requièrent aucune connaissance particulière (M2.0 à M2.3 incluses, M2.5).
 - Pour les autres séquences et notamment celles qui présentent les outils, il faut avoir une connaissance de base en programmation. Les exemples de codes montrés dans les vidéos sont en langage Python ou R, mais on peut les comprendre si on connaît un autre langage de programmation (C, C++, php, ...) ou si on a quelques notions d'algorithmique.
 - Pour faire les exercices, une connaissance de base du langage Python (librairies pandas, numpy et matplotlib) ou du langage R est nécessaire.
 - De plus, selon le parcours choisi, il vous faudra installer et configurer les outils correspondants sur votre ordinateur (Voir le chapitre "Installer et configurer Jupyter, RStudio, Emacs/Org-mode").

- Vidéos

 - [Exemples récents d'études controversées (6'48")](https://lms.fun-mooc.fr/courses/course-v1:inria+41016+self-paced/courseware/66bc811404b8481da5f794de54681c5e/4061cf05107441ebaca82e07cc5f10ce/)
 - [Pourquoi est-ce difficile ? (11'42")](https://lms.fun-mooc.fr/courses/course-v1:inria+41016+self-paced/courseware/66bc811404b8481da5f794de54681c5e/8f3779a3fd6147a899a995a1b06c13db/)
 - [Le document computationnel : principe (8'14")](https://lms.fun-mooc.fr/courses/course-v1:inria+41016+self-paced/courseware/66bc811404b8481da5f794de54681c5e/440b9b1d79854bc2a5db3ab382331b89/)
 - Trois parcours sont proposés dans cette séquence, à vous de choisir le parcours qui vous convient le mieux, soit en cliquant sur l'item correspondant depuis le menu vertical gauche, soit sur un des liens ci-dessous:
  - [📗4.A.Prise en main de l'outil Jupyter](https://lms.fun-mooc.fr/courses/course-v1:inria+41016+self-paced/jump_to_id/3817484c6768457f9d252954f162f851)
  - [📘4.B. Prise en main de l'outil RStudio](https://lms.fun-mooc.fr/courses/course-v1:inria+41016+self-paced/jump_to_id/174dde454a8b4eb2be0af2a97e7510a7)
  - [📙4.C. Prise en main de l'outil OrgMode](https://lms.fun-mooc.fr/courses/course-v1:inria+41016+self-paced/jump_to_id/432ac52d62e547f8a5f9bfb198a87544)
 - [Travailler avec les autres (7'27")](https://lms.fun-mooc.fr/courses/course-v1:inria+41016+self-paced/courseware/66bc811404b8481da5f794de54681c5e/358158d052744d239c7f43bd7bcc16b4/)
 - [Analyse comparée des différents outils (11'16")](https://lms.fun-mooc.fr/courses/course-v1:inria+41016+self-paced/courseware/66bc811404b8481da5f794de54681c5e/ca6911afc7154c699007475bf818071d/)

## Mission 3

